#!/bin/bash

# tcpdump -U -w pcap/mingjingtimes-$(date -u +%Y%m%d%H%M%S).pcap host 61.135.162.21 or host 112.84.34.31 or host 119.146.74.49 or host 220.181.7.190

set -e

OUTPUT_DIR=http
USERAGENT="Mozilla/5.0 (Windows NT 6.0) AppleWebKit/535.1 (KHTML, like Gecko) Chrome/13.0.782.112 Safari/535.1"

declare -a URLS REFERERS
URLS=(
	http://push.zhanzhang.baidu.com/push.js
	https://zz.bdstatic.com/linksubmit/push.js
	http://dup.baidustatic.com/tpl/wh.js
	http://cbjs.baidu.com/js/o.js
	http://hm.baidu.com/h.js?578f5e4590c99a38d1051daeae55d37d
	http://hm.baidu.com/h.js?8ab18ec6e3ee89210917ef2c8572b30e
)
REFERERS=(
	""
	""
	""
	""
	"http://www.k618.cn/"
	"http://www.guancha.cn/"
)

escape() {
	$(dirname "$0")/escape "$@"
}

trial() {
	url="$1"
	referer="$2"
	timestamp="$(date -u +"%Y%m%d%H%M%S")"
	output_basename="$OUTPUT_DIR/$(escape "$url")/$timestamp"
	echo "$output_basename"
	mkdir -p "$(dirname "$output_basename")"
	wget -O "${output_basename}.http" -o "${output_basename}.log" --save-headers --content-on-error --user-agent "$USERAGENT" ${referer:+--header "Referer: $referer"} "$url"
}

while true; do
	for i in "${!URLS[@]}"; do
		url="${URLS[$i]}"
		referer="${REFERERS[$i]}"
		trial "$url" "$referer"
	done
	sleep 60
done
